<?php
/**
 * Phire CMS
 *
 * LICENSE
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://www.phirecms.org/LICENSE.TXT
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@phirecms.org so we can send you a copy immediately.
 *
 * @category   Phire
 * @package    Phire_Sites
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 */

/**
 * Phire_Sites
 *
 * @category   Phire
 * @package    Phire_Sites
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

class Phire_Sites
{

    /**
     * Return an array of the current user's allowed sites.
     *
     * @param  boolean $track
     * @return array
     */
    public static function getAllowedSites($track = false)
    {

        $ses = Moc10_Session::getInstance();

        $sites = new Phire_Table_Sites();
        $sites->findAll('site_id ASC');

        if ($track) {

            $i = 0;
            $sitesAry = array('first_site_id' => '', 'title_sep' => '', 'sites' => array());

            foreach ($sites->rows as $site) {
                if (in_array($site->site_id, $ses->sites)) {
                    if ($i == 0) {
                        $sitesAry['first_site_id'] = $site->site_id;
                        $sitesAry['title_sep'] = $site->title_separator;
                    }
                    $sitesAry['sites'][$site->site_id] = $site->site_domain;
                    $i++;
                }
            }

        } else {

            $sitesAry = array();

            foreach ($sites->rows as $site) {
                if (in_array($site->site_id, $ses->sites)) {
                    $sitesAry[$site->site_id] = $site->site_domain;
                }
            }

        }

        return $sitesAry;

    }

}
