<?php
/**
 * Phire CMS
 *
 * LICENSE
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://www.phirecms.org/LICENSE.TXT
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@phirecms.org so we can send you a copy immediately.
 *
 * @category   Phire
 * @package    Phire_Version
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 */

/**
 * Phire_Version
 *
 * @category   Phire
 * @package    Phire_Version
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

class Phire_Version
{

    /**
     * Current version
     */
    const VERSION = '1.1.2';

    /**
     * Current URL
     */
    const URL = 'http://www.phirecms.org/version.txt';

    /**
     * Returns the version of this library install.
     *
     * @return string
     */
    public static function getVersion()
    {

        return self::VERSION;

    }

    /**
     * Returns the version of this library install.
     *
     * @param  string $ver
     * @return int
     */
    public static function compareVersion($ver)
    {

        return version_compare($ver, self::VERSION);

    }

    /**
     * Returns the latest version available.
     *
     * @return string|null
     */
    public static function getLatest()
    {

        $latest = null;

        $handle = fopen(self::URL, 'r');
        if ($handle !== false) {
            $latest = stream_get_contents($handle);
            fclose($handle);
        }

        return $latest;

    }

}
