<?php

/**
 * Phire Mobile Get Events
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Event');
$edit = $lang->__('Edit Events Types');
$vw = $lang->__('View:');
$up = $lang->__('Upcoming');
$past = $lang->__('Past');
$recur = $lang->__('Recurring');
$or = $lang->__('or');
$all = $lang->__('All');
$ste = $lang->__('Site');
$evt_tle = $lang->__('Event Title');
$click = $lang->__('Click to Edit');
$dte = $lang->__('Event Date');
$typ = $lang->__('Event Type');
$sect = $lang->__('Section');
$own = $lang->__('Owner');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'event_start_date';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 10px; text-align: left;\"><a class=\"grayLink\" href=\"./events.php?sort=event_title\">{$evt_tle}</a></td><td class=\"grayHeader\" style=\"width: 22%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./events.php?sort=event_start_date\">{$dte}</a></td><td class=\"grayHeader\" style=\"width: 22%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./events.php?sort=type_id\">{$typ}</a></td><td class=\"grayHeader\" style=\"width: 20%; padding: 0; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    $sql = null;
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Build the SQL query for the events based on the values passed and the session data set.
    if (isset($_GET['view'])) {
        switch ($_GET['view']) {
            case 'upcoming':
                $view = " AND (event_start_date >= CURDATE() AND event_start_date != '0000-00-00') ";
                break;
            case 'past':
                $view = " AND (event_start_date <= CURDATE() AND event_start_date != '0000-00-00') ";
                break;
            case 'recurring':
                $view = " AND event_start_date = '0000-00-00' ";
                break;
            case 'all':
                $view = '';
                break;
        }
    } else {
        $view = '';
    }

    $sql = "SELECT * FROM " . DB_PREFIX . "events WHERE site_id = '" . $sess->cur_site_id . "'{$view} ORDER BY " . $sort;

    // Execute the SQL query.
    $events = new Phire_Table_Events();
    $events->execute($sql);

    // Set the table header, row and footer templates.
    if (isset($events->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="eventsForm" action="../../core/process/remove.events.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-event.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./edit-event-types.php">{$edit}</a><br />(View: <a class="smallLink" href="./events.php?view=upcoming">{$up}</a>, <a class="smallLink" href="./events.php?view=past">{$past}</a>, <a class="smallLink" href="./events.php?view=recurring">{$recur}</a> {$or} <a class="smallLink" href="./events.php?view=all">{$all}</a>)<br /><span style="margin: 0; padding: 0; font-size: 0.9em;">[{page_links}]</span></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"padding: 5px 5px 5px 10px;\">[{event_link_title}]</td><td style=\"text-align: center;\">[{event_start_date}]</td><td style=\"text-align: center;\">[{event_type}]</td>[{remove_check}]</tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><span style="padding: 0; font-size: 0.9em;">[{page_links}]</span><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

        $event_rows = array();

        // Iterate through each event, formatting and setting it into a row.
        foreach ($events->rows as $event) {

            $site = new Phire_Table_Sites();
            $site->getSite($event->site_id);

            if ($event->type_id != 0) {
                $type = new Phire_Table_EventTypes();
                $type->findById($event->type_id);
                $event_type = $type->event_type;
            } else {
                $event_type = '&nbsp;';
            }

            $section = new Phire_Table_Sections();
            $section->findById($event->section_id);

            if (isset($section->section_id)) {
                $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
            } else {
                $sect = '&nbsp;';
            }

            if ($event->user_id != 0) {

                $user = new Phire_Table_Users();
                $user->findById($event->user_id);
                $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                $brws = new Moc10_Session_Browser();
                $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                if (($sess->access != 'Admin') && ($sess->open_authoring[$event->site_id] == 'Off') && ($sess->user_id != $event->user_id)) {
                    $event_link_title = $event->event_title;
                    $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                } else {
                    $event_link_title = "<a href=\"./edit-event.php?eid={$event->event_id}\">{$event->event_title}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_events[]\" value=\"{$event->event_id}\" /></td>";
                }

            } else {
                $name = 'N/A';
                $event_link_title = "<a href=\"./edit-event.php?eid={$event->event_id}\">{$event->event_title}</a>";
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_events[]\" value=\"{$event->event_id}\" /></td>";
            }

            if ($event->event_start_date != '0000-00-00') {
                $event_start_date = Moc10_String::setString($event->event_start_date)->date('m/d/y');
            } else {
                $rec = Moc10_String::setString($event->event_recurrence)->split('+');
                $event_start_date = $rec[0] . ' ' . date('D', strtotime($rec[1])) . ' ' . $rec[2];
            }

            $event_rows[] = array('event_id' => $event->event_id,
                                  'site_domain' => $site->site_domain,
                                  'event_link_title' => $event_link_title,
                                  'event_start_date' => $event_start_date,
                                  'event_type' => $event_type,
                                  'section' => $sect,
                                  'name' => $name,
                                  'remove_check' => $removeCheck);

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($event_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the event results.
        $sess->events = new Moc10_Session_Paginator($event_rows, $pg_num, $pg_range);
        $sess->events->setHeader($tableHeader);
        $sess->events->setRowTemplate($rowTmpl);
        $sess->events->setFooter($tableFooter);
        $sess->events->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $noevents = $lang->__('There are currently no events.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-event.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./edit-event-types.php">{$edit}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="4" style="padding: 25px;">{$noevents}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
