<?php

/**
 * Phire Mobile Get Tags
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$stes = $lang->__('Sites');
$tgs = $lang->__('Tags');
$ed = $lang->__('Edit?');
$edtgs = $lang->__('Edit Tags');
$update = strtoupper($lang->__('Update'));
$remove = $lang->__('or Remove?');
$add = $lang->__('Add');
$close = $lang->__('Close');
$multi = $lang->__('Add multiple tags at once, separated by a comma.');

$int_sort_id = 'tag_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 10px; text-align: left;\"><strong>{$tgs}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    // Get the tags in the system and set them into an array.
    $tags = new Phire_Table_Tags();
    $tags->distinct(array('site_id'), $sort);
    $tagArray = array();

    if (isset($tags->rows[0])) {
        foreach ($tags->rows as $tag) {
            if ($tag->site_id == $sess->cur_site_id) {
                $tagArray[$tag->site_id] = array();
                $tagList = new Phire_Table_Tags();
                $tagList->findAll('tag_id', 'site_id', $tag->site_id);
                foreach ($tagList->rows as $val) {
                    $tagArray[$tag->site_id][] = array('tag_id' => $val['tag_id'], 'tag' => $val['tag']);
                }
            }
        }
    }

    if (count($tagArray) != 0) {

        // Print table header.
        print <<<TABLEHEADER
        <form id="tagsForm" action="../../core/process/update.tags.php" method="post">
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Iterate through each tag, formatting and printing it to a table.
        foreach ($tagArray as $key => $value) {

            $site = new Phire_Table_Sites();
            $site->getSite($key);
            $tagDiv = "<table id=\"tagDiv{$key}\" style=\"margin: 8px 0 0 0; padding: 0; border: none; background-color: transparent;\" cellpadding=\"0\" cellspacing=\"0\">";
            foreach ($value as $val) {
                $tagDiv .= "<tr style=\"margin: 0; padding: 3px 0 3px 0; border: none; background-color: transparent;\"><td style=\"margin: 0; padding: 3px 5px 3px 0; border: none; background-color: transparent;\"><input style=\"font-size: 1.2em;\" type=\"text\" name=\"tag_{$val['tag_id']}\" value=\"{$val['tag']}\" size=\"20\" /> </td><td style=\"margin: 0; padding: 0 5px 0 0; border: none; background-color: transparent; font-size: 1.0em;\"> {$remove} </td><td style=\"margin: 0; padding: 0; border: none; background-color: transparent;\"><input style=\"float: right;\" type=\"checkbox\" class=\"checkBox\" name=\"rm_tags[]\" value=\"{$val['tag_id']}\" /></td></tr>";
            }
            $tagDiv .= "<tr style=\"margin: 0; padding: 3px 0 3px 0; border: none; background-color: transparent;\"><td style=\"margin: 0; padding: 3px 5px 3px 0; border: none; background-color: transparent;\"><input style=\"font-size: 1.2em;\" type=\"text\" name=\"tag_{$key}_new\" value=\"\" size=\"20\" /> </td><td colspan=\"2\" style=\"margin: 0; padding: 0 5px 0 0; border: none; background-color: transparent; font-size: 1.0em;\"><strong>[+] {$add}</strong></td></tr><tr style=\"margin: 0; padding: 0; border: none; background-color: transparent;\"><td colspan=\"3\" style=\"margin: 0; padding: 0 10px 0 0; border: none; background-color: transparent; font-size: 1.0em;\"><em>({$multi})</em></td></tr></table>";

            print("                <tr><td style=\"padding: 7px 0 7px 10px; text-align: left; vertical-align: top;\">{$tagDiv}</td></tr>\n");

        }

        // Print table header.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtn" value="{$update}" /><input type="hidden" name="site_id" value="{$sess->cur_site_id}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEFOOTER;

    // Else, render the tag table with no tags.
    } else {

        $notags = $lang->__('There are currently no tags.');
        $addtags = $lang->__('Add new tags:');

        print <<<TABLEHEADER
        <form id="tagsForm" action="../../core/process/update.tags.php" method="post">
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}
                <tr>
                    <td style="padding: 25px;">
                        {$notags}
                        <table id="tagDiv" style="margin: 8px 0 0 0; padding: 0; border: none; background-color: transparent;" cellpadding="0" cellspacing="0">
                            <tr style="margin: 0; padding: 3px 0 3px 0; border: none; background-color: transparent;">
                                <td style="margin: 0; padding: 3px 10px 3px 0; border: none; background-color: transparent; font-size: 1.0em;">
                                    $addtags:<br /><input style="font-size: 1.0em;" type="text" name="tag_add" value="" size="35" /><br />
                                    <em>({$multi})</em>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtn" value="{$update}" /><input type="hidden" name="site_id" value="{$sess->cur_site_id}" /><input type="hidden" name="mobile" value="true" /></td></tr></table>
        </form>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
