<?php

/**
 * Phire Update Event Types
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Process any event types that were flagged for removal.
    $rm_types = array();

    if (isset($_POST['rm_types'])) {
        $rm_types = $_POST['rm_types'];

        // Update any events that reference the event type and delete the event type.
        if (isset($rm_types[0])) {
            foreach ($rm_types as $value) {
                $evts = new Phire_Table_Events();
                $evts->execute("UPDATE " . DB_PREFIX . "events SET type_id = 0 WHERE type_id = '" . (string)Moc10_String::setString($value)->escape(true)->striptags() . "'");

                $type = new Phire_Table_EventTypes();
                $type->findById($value);
                $type->delete();
            }
        }
    }

    $idAry = array();

    foreach ($_POST as $key => $value) {
        if (strpos($key, 'type_event_') !== false) {
            $id = substr($key, (strrpos($key, '_') + 1));
            if ($id != 'new') {
                $idAry[] = $id;
            }
        }
    }

    // Update any existing event types.
    foreach ($idAry as $value) {
        if (!in_array($value, $rm_types)) {
            $event_type = $_POST['type_event_' . $value];
            $event_type_access = $_POST['access_type_event_' . $value];
            if ($event_type != '') {
                $edit_type = new Phire_Table_EventTypes();
                $edit_type->findById($value);
                $edit_type->event_type = $event_type;
                $edit_type->event_type_access = $event_type_access;

                $edit_type->save();
            }
        }
    }

    // Add any new event type.
    if ($_POST['type_new'] != '') {
        $new_type = new Phire_Table_EventTypes(array('event_type' => $_POST['type_new'], 'event_type_access' => $_POST['event_type_access_new']));
        $new_type->save();
    }

    if (isset($_POST['mobile'])) {
        header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/assets/edit-event-types.php?action=saved');
    } else {
        if ((isset($_POST['plugin'])) && (!is_null($_POST['plugin']))) {
            header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] .'/?action=saved&sys_path=' . BASE_PATH . SYS_PATH);
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/assets/edit-event-types.php?action=saved');
        }
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
